## magnum-capi-helm 1.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=2.0 # Apache-2.0
oslo_log
oslo_utils
magnum

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

doc8>=0.6.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD

=== debian/changelog ===
magnum-capi-helm (1.2.0-3) unstable; urgency=medium

  * Fixed d/watch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Apr 2025 13:34:24 +0200

magnum-capi-helm (1.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Apr 2025 01:10:15 +0200

magnum-capi-helm (1.2.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1100155)

 -- Guillaume Boutry <boutryguillaume1@gmail.com>  Wed, 12 Mar 2025 21:25:12 +0100

=== debian/control ===
Source: magnum-capi-helm
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploader:
 Guillaume Boutry <boutryguillaume1@gmail.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-magnum,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslotest,
 python3-stestr,
 python3-subunit,
 python3-testtools,
 subunit,
Standards-Version: 4.7.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/magnum-capi-helm
Vcs-Git: https://salsa.debian.org/openstack-team/services/magnum-capi-helm.git
Homepage: https://docs.openstack.org/magnum-capi-helm/latest/
Rules-Requires-Root: no

Package: python3-magnum-capi-helm
Architecture: all
Multi-Arch: foreign
Depends:
 python3-magnum,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Description: Magnum driver that uses Kubernetes Cluster API via Helm
 OpenStack Magnum driver using Helm to create k8s clusters with Cluster API.
 .
 The driver uses capi-helm-charts to create the k8s resources needed to
 provision a k8s cluster using Cluster API, including various useful
 add-ons like a CNI and a monitoring stack.
 .
 Note, the above Helm charts are intended to be a way to share a reference
 method to create K8s on OpenStack. The charts are not expected or intended
 to be specific to Magnum. The hope is they can also be used by ArgoCD, Flux
 or Azimuth to create k8s clusters on OpenStack.
 .
 Work on this driver started upstream around October 2021. After failing to
 get merged during Bobcat, we created this downstream repo as a stop-gap to
 help those wanting to use this driver now.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/magnum-capi-helm.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=magnum-capi-helm

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build .stestr
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
	find . -iname '*.pyc' -delete

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'magnum_capi_helm.tests\.(?!test_magnum_capi_helm\.TestMagnumDriverLoads.*)'
endif

	dh_install

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://opendev.org/openstack/magnum-capi-helm.git refs/tags/(\d[brc\d\.]+)
